
/* Chrysalide - Outil d'analyse de fichiers binaires
 * hub-int.h - prototypes internes pour un groupe de décompositions de motif de recherche en atomes assemblés
 *
 * Copyright (C) 2023 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _ANALYSIS_SCAN_PATTERNS_TOKENS_NODES_HUB_INT_H
#define _ANALYSIS_SCAN_PATTERNS_TOKENS_NODES_HUB_INT_H


#include "hub.h"


#include "../node-int.h"



/* Groupe de décompositions de motif de recherche en atomes (instance) */
struct _GScanTokenNodeHub
{
    GScanTokenNode parent;                  /* A laisser en premier        */

};

/* Groupe de décompositions de motif de recherche en atomes (classe) */
struct _GScanTokenNodeHubClass
{
    GScanTokenNodeClass parent;             /* A laisser en premier        */

};



#endif  /* _ANALYSIS_SCAN_PATTERNS_TOKENS_NODES_HUB_INT_H */
