
from common import RostTestClass
from pychrysalide.analysis.contents import MemoryContent


class TestRostScanning(RostTestClass):
    """TestCases for the bytes section syntax."""

    def testSimpleHexPattern(self):
        """Test a simple hex pattern."""

        cnt = MemoryContent(b'123-Abc-456')

        rule = '''
rule test {

   strings:
      $a = { 41 62 63 }

   condition:
      #a == 1 and @a[0] == 4

}
'''

        self.check_rule_success(rule, content=cnt)
